%define upstream_name    aliased
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Use shorter versions of class names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(aliased)

%description
'aliased' is simple in concept but is a rather handy module. It loads the
class you specify and exports into your namespace a subroutine that returns
the class name. You can explicitly alias the class to another name or, if
you prefer, you can do so implicitly. In the latter case, the name of the
subroutine is the last part of the class name.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-6.mga8
+ Revision: 1507091
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.340.0-5.mga7
+ Revision: 1287483
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.340.0-4.mga7
+ Revision: 1162794
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.340.0-3.mga6
+ Revision: 1022267
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.340.0-2.mga6
+ Revision: 966576
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.340.0-1.mga6
+ Revision: 845960
- update to 0.34

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 746019
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-3.mga5
+ Revision: 687004
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.310.0-2.mga4
+ Revision: 526336
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.310.0-1.mga4
+ Revision: 436682
- update to 0.31

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-3.mga3
+ Revision: 375339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.300.0-2.mga2
+ Revision: 104058
- increase rel for rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 28936
- mageia rebuild
- imported package perl-aliased

